package eu.eudat.logic.managers;

import eu.eudat.data.entities.Registry;
import eu.eudat.data.entities.Service;
import eu.eudat.logic.services.ApiContext;
import eu.eudat.models.data.registries.RegistryModel;
import eu.eudat.models.data.services.ServiceModel;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * Created by ikalyvas on 9/3/2018.
 */
@Component
public class ServiceManager {

    private ApiContext apiContext;

    @Autowired
    public ServiceManager(ApiContext apiContext) {
        this.apiContext = apiContext;
    }

    public Service create(ServiceModel serviceModel) throws Exception {
        Service service = serviceModel.toDataModel();
        return apiContext.getOperationsContext().getDatabaseRepository().getServiceDao().createOrUpdate(service);
    }
}
