import { NgModule } from '@angular/core';
import {
	MatButtonModule,
	MatToolbarModule,
	MatIconModule,
	MatCardModule,
	MatGridListModule,
	MatSnackBarModule,
	MatSidenavModule,
	MatListModule,
	MatChipsModule,
	MatFormFieldModule,
	MatSelectModule,
	MatOptionModule,
	MatInputModule,
	MatExpansionModule,
	MatAutocompleteModule,
	MatProgressSpinnerModule,
	MatTabsModule,
	MatDialogModule,
	MatMenuModule,
	MatRadioModule,
	MatStepperModule,
	MatTooltipModule,
	MatProgressBarModule,
	MatCheckboxModule,
	MatDatepickerModule,
	MatButtonToggleModule,
	MatSliderModule,
	MatSlideToggleModule,
	MatTableModule,
	MatPaginatorModule,
	MatSortModule,
} from '@angular/material';
import { CdkTableModule } from '@angular/cdk/table';

@NgModule({
	imports: [
		MatToolbarModule,
		MatButtonModule,
		MatIconModule,
		MatCardModule,
		MatGridListModule,
		MatSnackBarModule,
		MatSidenavModule,
		MatListModule,
		MatChipsModule,
		MatFormFieldModule,
		MatSelectModule,
		MatOptionModule,
		MatInputModule,
		MatExpansionModule,
		MatAutocompleteModule,
		MatProgressSpinnerModule,
		MatProgressBarModule,
		MatTabsModule,
		MatDialogModule,
		MatMenuModule,
		MatRadioModule,
		MatStepperModule,
		MatTooltipModule,
		MatCheckboxModule,
		MatDatepickerModule,
		MatButtonToggleModule,
		MatSliderModule,
		MatSlideToggleModule,
		MatTableModule,
		MatPaginatorModule,
		CdkTableModule,
		MatSortModule,
	],
	exports: [
		MatToolbarModule,
		MatButtonModule,
		MatIconModule,
		MatCardModule,
		MatGridListModule,
		MatSnackBarModule,
		MatSidenavModule,
		MatListModule,
		MatChipsModule,
		MatFormFieldModule,
		MatSelectModule,
		MatOptionModule,
		MatInputModule,
		MatExpansionModule,
		MatAutocompleteModule,
		MatProgressSpinnerModule,
		MatProgressBarModule,
		MatTabsModule,
		MatDialogModule,
		MatMenuModule,
		MatRadioModule,
		MatStepperModule,
		MatTooltipModule,
		MatCheckboxModule,
		MatDatepickerModule,
		MatButtonToggleModule,
		MatSliderModule,
		MatSlideToggleModule,
		MatTableModule,
		MatPaginatorModule,
		CdkTableModule,
		MatSortModule,
	]
})
export class MaterialModule { }
