import { NgModule } from '@angular/core';
import { CommonUiModule } from '../../common/ui/common-ui.module';
import { FormattingModule } from '../../core/formatting.module';
import { UrlListingComponent } from './url-listing.component';

@NgModule({
	imports: [
		CommonUiModule,
		FormattingModule
	],
	declarations: [
		UrlListingComponent
	],
	exports: [
		UrlListingComponent
	]
})
export class UrlListingModule {
	constructor() { }
}
