import { NgModule } from '@angular/core';
import { CommonFormsModule } from '../../../common/forms/common-forms.module';
import { CommonUiModule } from '../../../common/ui/common-ui.module';
import { FormattingModule } from '../../../core/formatting.module';
import { AutoCompleteModule } from '../../../library/auto-complete/auto-complete.module';
import { ConfirmationDialogModule } from '../../../library/confirmation-dialog/confirmation-dialog.module';
import { UrlListingModule } from '../../../library/url-listing/url-listing.module';
import { DmpOverviewComponent } from './dmp-overview.component';
import { ExportMethodDialogModule } from '../../../library/export-method-dialog/export-method-dialog.module';

@NgModule({
	imports: [
		CommonUiModule,
		CommonFormsModule,
		UrlListingModule,
		ConfirmationDialogModule,
		ExportMethodDialogModule,
		FormattingModule,
		AutoCompleteModule
	],
	declarations: [
		DmpOverviewComponent
	]
})
export class DmpOverviewModule { }
