import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { CommonUiModule } from '../../../common/ui/common-ui.module';
import { BreadcrumbComponent } from './breadcrumb.component';
import { BreadCrumbResolverService } from './service/breadcrumb.service';

@NgModule({
	imports: [
		CommonUiModule,
		RouterModule
	],
	declarations: [
		BreadcrumbComponent
	],
	providers: [
		BreadCrumbResolverService
	],
	exports: [BreadcrumbComponent]
})
export class BreadcrumbModule { }
