import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { CommonFormsModule } from '../../../common/forms/common-forms.module';
import { CommonUiModule } from '../../../common/ui/common-ui.module';
import { NavigationComponent } from './navigation.component';
import { UserDialogComponent } from './user-dialog/user-dialog.component';
import { SearchComponent } from '../search/search.component';

@NgModule({
	imports: [
		CommonUiModule,
		CommonFormsModule,
		RouterModule,
	],
	declarations: [
		NavigationComponent,
		UserDialogComponent
	],
	entryComponents: [UserDialogComponent],
	exports: [NavigationComponent]
})
export class NavigationModule { }
