import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { CommonFormsModule } from '../../common/forms/common-forms.module';
import { CommonUiModule } from '../../common/ui/common-ui.module';
import { NavbarComponent } from './navbar.component';
import { SearchComponent } from '../misc/search/search.component';
import { BreadcrumbModule } from '../misc/breadcrumb/breadcrumb.module';

@NgModule({
	imports: [
		CommonUiModule,
		CommonFormsModule,
		RouterModule,
		BreadcrumbModule
	],
	declarations: [
		NavbarComponent,
		SearchComponent
	],
	entryComponents: [],
	exports: [NavbarComponent]
})
export class NavbarModule { }
