import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { CommonFormsModule } from '../../common/forms/common-forms.module';
import { CommonUiModule } from '../../common/ui/common-ui.module';
import { SidebarComponent } from './sidebar.component';
import { SidebarFooterComponent } from './sidebar-footer/sidebar-footer.component';

@NgModule({
	imports: [
		CommonUiModule,
		CommonFormsModule,
		RouterModule
	],
	declarations: [
		SidebarComponent,
		SidebarFooterComponent
	],
	entryComponents: [],
	exports: [SidebarComponent]
})
export class SidebarModule { }
